Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.engine.api.script.instance
Interface IRowInstance

All Superinterfaces:
  IReportElementInstance

    public interface IRowInstance

extends IReportElementInstance

Method Summary
`java.lang.String` | `getBookmarkValue()` Get the value of bookmark
`java.lang.String` | `getHeight()` Get the height of the row
`IScriptStyle` | `getStyle()` Get the style of the row
`void` | `setBookmark(java.lang.String bookmark)` Set the bookmark
`void` | `setHeight(java.lang.String height)` Set the height of the row

Methods inherited from interface org.eclipse.birt.report.engine.api.script.instance.IReportElementInstance
`getHorizontalPosition, getNamedExpressionValue, getParent, getRowData, getUserPropertyValue, getVerticalPosition, getWidth, setHorizontalPosition, setUserPropertyValue, setVerticalPosition, setWidth`

Method Detail

### getStyle

    IScriptStyle getStyle()

  Get the style of the row

  Specified by:
    `getStyle` in interface `IReportElementInstance`
  Returns:
    style of the row

### getBookmarkValue

    java.lang.String getBookmarkValue()

  Get the value of bookmark

  Returns:
    value of bookmark

### setBookmark

    void setBookmark(java.lang.String bookmark)

  Set the bookmark

  Parameters:
    `bookmark` -

### getHeight

    java.lang.String getHeight()

  Get the height of the row

  Specified by:
    `getHeight` in interface `IReportElementInstance`
  Returns:
    the height of the row

### setHeight

    void setHeight(java.lang.String height)

  Set the height of the row

  Specified by:
    `setHeight` in interface `IReportElementInstance`
  Parameters:
    `height` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.